// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic','ngCordova', 'starter.controllers', 'starter.services', 'starter.filters'])

.run(function($ionicPlatform,$rootScope,$location,$cordovaToast,$ionicHistory) {
  $ionicPlatform.ready(function() {
	   
   
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);
    }
	
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
	   StatusBar.show();
	   ionic.Platform.fullScreen();
	
    }
	$rootScope.beforeload=false; 
	$rootScope.myCare={};
	$rootScope.myCare.city="全国"
	$rootScope.myCare.category="全部领域"
	$rootScope.myCare.keyWord="";
	  /********************百度地图获取地理位置start********************/
	 baidu_location.getCurrentPosition(function ( message ) {
       
		if (message['city']!=null&&typeof(message['city'])!="undefine"){
	  var cityname=message['city'];
	  cityname=cityname.replace('市', '');
	  cityname=cityname.replace('区', '');
	  cityname=cityname.replace('县', '');
	  cityname=cityname.replace('州', '');
	 // $rootScope.myCare.city=cityname;
		
		}
		else{
		//	alert('请手动添加定位权限')
			}
	       });
	  /********************百度地图获取地理位置end********************/
  });
  
  
           /********************双击退出start********************/
  $ionicPlatform.registerBackButtonAction(function (e) {
                //判断处于哪个页面时双击退出
                if ($location.path() == '/tab/index') {
                    if ($rootScope.backButtonPressedOnceToExit) {
                        ionic.Platform.exitApp();
                    } else {
                        $rootScope.backButtonPressedOnceToExit = true;
                        $cordovaToast.showShortBottom('再按一次退出系统');
                        setTimeout(function () {
                            $rootScope.backButtonPressedOnceToExit = false;
                        }, 2000);
                    }
                }
                else if ($ionicHistory.backView()) {
                    $ionicHistory.goBack();
                } else {
                    $rootScope.backButtonPressedOnceToExit = true;
                    $cordovaToast.showShortTop('再按一次退出系统')
                        .then(function(success) {
                            // success
						
                           ionic.Platform.exitApp();
                        }, function (error) {
                            // error
                            alert("error");
                        });
                    setTimeout(function () {
                        $rootScope.backButtonPressedOnceToExit = false;
                    }, 2000);
                }
                e.preventDefault();
                return false;
            }, 101);
            /********************双击退出end********************/  
  
})

.run(function($rootScope,$state,$localstorage,$ionicScrollDelegate,$ionicViewSwitcher,$ionicHistory,$cordovaMedia,$ionicPlatform,$cordovaFile,$cordovaFileTransfer,LogonService,Rongcloud,Lawyer,$timeout,$cordovaVibration,$cordovaToast){
  $rootScope._ = window._; //在页面里引入lodash
 
  //在Local Storage里存取登录用户的信息
  $rootScope.chaterListArray=[];
  $rootScope.messagesArray=[];
  $rootScope.currentUserZhuanChang=[];
  $rootScope.chaterListTag=false;
  $rootScope.currentUserId = $localstorage.get('currentUserId',"");
  $rootScope.currentUserImage = $localstorage.get('currentUserImage',"");
  $rootScope.currentUserOpenid = $localstorage.get('currentUserOpenid',"");
  $rootScope.currentUserType = $localstorage.get('currentUserType',"");
 if($rootScope.currentUserId) $rootScope.currentUser = $localstorage.getObject('currentUserObj');
  $rootScope.currentUserName = $localstorage.get('currentUserName',"");
  $rootScope.currentUserCity = $localstorage.get('currentUserCity',"");
  $rootScope.currentUserTel = $localstorage.get('currentUserTel',"");
  $rootScope.currentUserPassword = $localstorage.get('currentUserPassword',"");
 $rootScope.currentLawyerName= $localstorage.get('currentLawyerName',"");
  $rootScope.currentUserZhuanChang=$localstorage.getObjectMsg('currentUserZhuanChang');
  $rootScope.messagesArray=$localstorage.getObjectMsg('messagesArray');
  $rootScope.chaterListArray=$localstorage.getObjectMsg('chaterListArray'); 
  $rootScope.targetid=null;
  $rootScope.unreadTag2=false;

   if($rootScope.currentUserImage==''){
	   $rootScope.currentUserImage='default.png'
	   }
  
  //已登录用户注销退出
  $rootScope.logout = function(){
    $localstorage.setObject('currentUserObj',null);
    $localstorage.set('currentUserId',"");
	$localstorage.set('currentUserType',"");
	$localstorage.set('currentUserOpenid',"");
	$localstorage.set('currentUserImage',"");
    $localstorage.set('currentUserName',"");
    $localstorage.set('currentUserPassword',"");
	$localstorage.set('currentUserTel',"");
	$localstorage.set('currentLawyerName',"");
	$localstorage.setObject('currentUserZhuanChang',null);
	$localstorage.setObject('messagesArray',null);
	$localstorage.setObjectMsg('chaterListArray',null);
    $rootScope.currentUser = $localstorage.getObject('currentUserObj');
	 $rootScope.chaterListArray=[];
    $rootScope.messagesArray=[];
     $rootScope.currentUserZhuanChang=[];
    $rootScope.messagesArray=[];
    $rootScope.currentUserZhuanChang=[];
    $rootScope.currentUserId = $localstorage.get('currentUserId',"");
	$rootScope.currentUserType= $localstorage.get('currentUserType',"");
	$rootScope.currentUserTel= $localstorage.get('currentUserTel',"");
    $rootScope.currentUserName = "";
    $rootScope.currentUserPassword = "";
	$rootScope.currentUserOpenid = "";
    $rootScope.currentUserImage = "";
	$rootScope.currentLawyerName= "";
	$rootScope.lawyerTabs=false;
	$rootScope.receivedMessages=null
	$rootScope.receivedTime==null;

	 $ionicHistory.clearCache();
     $ionicHistory.clearHistory();
	 window.localStorage.clear();
	 $state.go('start');
	  RongCloudLibPlugin.logout();
  };
  
    /********************融云在线咨询start********************/
  var person="1"
  var person2="0"
		
if($rootScope.currentUserType=="lawyer"){
			person="0"
			person2="1"
			}
 //融云登陆并接收消息
 $rootScope.RongcloudService=function(){
	
	//判断用户是否已经登陆
	
	 if($rootScope.currentUserId!=""){
		var token=""
		
		//设置获取融云token参数		
		if($rootScope.currentUserType=="lawyer"){
			sentId='lawyer'+$rootScope.currentUserId;
			sentName=$rootScope.currentLawyerName;
			person="0"
			person2="1"
			}else{
			sentId='person'+$rootScope.currentUserId;
			sentName='易夫'+$rootScope.currentUserId.substr($rootScope.currentUserId.length-4);
			person="1"
			person2="0"
			}
			$rootScope.sentId=sentId;
			$rootScope.sentName=sentName;
		//获取融云token	

		Rongcloud.token(sentId,sentName,'http://www.iflawyer.com/picture/'+$rootScope.currentUserImage).then(function(result){
		token=result.data.token
		//融云初始化
	 RongCloudLibPlugin.init({appKey: "qd46yzrfqh6jf"},function(ret, err){
		
		  if (ret.status == 'success'){
		
		 //链接融云
		  RongCloudLibPlugin.connect({token: token},function(ret, err){
        if (ret.status == 'success'){
            //接收消息
			
			RongCloudLibPlugin.getConnectionStatus(function (ret, err) {
        
})
		RongCloudLibPlugin.setOnReceiveMessageListener(function (ret, err) {
   

				 var msg=ret.result.message
				 var content=msg.content.text
				 var extra=msg.content.extra
				 var senderUserId=msg.senderUserId
				  var receivedTime=msg.receivedTime
				 var voice,duration
				 var chaterName=""
		         var headImg="" 
	   
	  
		  
       //链接数据库接收用户信息	   
		LogonService.simpleinfo(senderUserId.substr(6,senderUserId.length),senderUserId.substr(0, 6)).then(function(result){
			if(result.data!=""){
			if(result.data.usertype=="lawyer"){chaterName=result.data.lawyername+'律师'}else{
				chaterName='易夫'+result.data.userid.substr(result.data.userid.length-4);
				}
			if (result.data.image!=""){
			 headImg=result.data.image}else{headImg='default.png'}
			 }else{chaterName="匿名";
				 headImg='default.png'
				 }
				 
		//本地通知
	
    if(receivedTime!=null&&$rootScope.targetid!=senderUserId){
	$cordovaVibration.vibrate(100);
	$cordovaToast.show('您有一条新的新息', 'long', 'center')
			   
		   }
		  
       $rootScope.receivedTime = receivedTime;
 
	   //本地通知end	
						 

			 //添加全局变量对话信息
			  if(content!='您有一个新的付费咨询,请关注'){
				  
	           $rootScope.getConversationList();
	
			 if($rootScope.targetid==senderUserId){	
			  
		 if(extra.indexOf('.mp3')>0){
					 voice="1";
					 duration=content.replace("语音","")
					 duration=duration.replace("s","")
					 content=extra
					 }
				 else{
					 voice="";
					 duration="0"
					 }
			
     　　    $rootScope.messagesArray.push({"senderUserId":senderUserId,"headimg":headImg,"person":person2,"voice":voice,"content":content,"duration":duration,"duration2":duration});
				 
				 
				
				   $rootScope.receivedMessages={"senderUserId":senderUserId,"headimg":headImg,"person":person2,"voice":voice,"content":content,"duration":duration,"duration2":duration}
				
	           //存储对话信息
	              $localstorage.setObjectMsg('messagesArray',$rootScope.messagesArray);	
			
			
			 }
				   
		  }
		     
			  		
	       })
	 	   
		  
		//链接数据库接收用户信息over
		   
              })//接收消息over
		   }    
            
		   }); //链接融云over
		   
		    $rootScope.systemLawyer();
			if($rootScope.currentUserType=="lawyer"){
				$state.go('tab.orderlist');
		    }else{
				$state.go('tab.index');}
		   }
         if (ret.status == 'error')
                 alert(err.code);
           });//融云初始化over

	    }) //获取融云token over
		
	 
	 
	 }else{
		 $ionicPopup.alert({title:"请先登陆"}).then(function(){
		$state.go('start',{})
	
		});
		 }
		 
	
  
 }
 //融云登陆并接收消息over
 
 
function unreadTag(){ 
    var unread=0
	var unread2=0
	for(var i=0;i<$rootScope.chaterListArray.length;i++){
	unread2=parseInt($rootScope.chaterListArray[i].unread)
		if(unread2>0){
		unread=unread+unread2	
			}
		}
	$rootScope.unreadTag=unread	
	if($rootScope.unreadTag>0){
	$rootScope.unreadTag2=true
		}else{
	$rootScope.unreadTag2=false		
			}
}
	
	
	 //接收对话列表信息
  $rootScope.getConversationList=function(){
	 var chaterListArray=$localstorage.getObject('chaterListArray');
	 var getDate=function(tm){ 
            var tt=new Date(parseInt(tm)).toLocaleString().substr(5,15); 
            return tt; 
            } 
	RongCloudLibPlugin.getConversationList(function (ret, err) {
	   for(var i=ret.result.length-1;i>-1;i--){
		   var senderUserId=ret.result[i].senderUserId
		   var currentUserId=$rootScope.currentUserType+$rootScope.currentUserId
		 if(senderUserId!=currentUserId){//判断是否当前用户
		  var content=ret.result[i].latestMessage.text
		  var extra=ret.result[i].latestMessage.extra
		  
		  var unread=ret.result[i].unreadMessageCount
		  var sentTime=getDate(ret.result[i].sentTime)
		  var chaterName='易夫'+senderUserId.substr(6,senderUserId.length).substr(0,4)
		  var duration="0"
		  var headImg="default.png"
		    if(content!='您有一个新的付费咨询,请关注'){//判断是否为系统消息
		 
	
		  if (typeof extra!='object'){
		  if(extra.substr(0, 1)=='V'){
					 duration=extra.replace("V","")
					 content='语音 '+duration+'s'
					 }
				 else{
					 duration="0"
					 }
		  }else{
			   duration="0"
			  }
		 if(unread=="0"){unread=""}
	  //存储全局对话列表信息
		
	var userid =senderUserId.substr(6,senderUserId.length);
	var usertype=senderUserId.substr(0, 6);
	 var index=_.findIndex(chaterListArray,['senderUserId',senderUserId]);
	if (index>-1){
	chaterName=chaterListArray[index].chaterName;
	headImg=chaterListArray[index].headImg;
	chaterListArray=_.reject(chaterListArray,{"senderUserId":senderUserId})
	chaterListArray.unshift({"chaterName":chaterName,"headImg":headImg,"senderUserId":senderUserId,"content":content,"unread":unread,"duration":duration,"sentTime":sentTime});
	
	  if(i<1){  
	$rootScope.chaterListArray=chaterListArray;
	$localstorage.setObjectMsg('chaterListArray',$rootScope.chaterListArray);
	unreadTag();		
	$rootScope.$apply();
		
	}
		
	}
	else{
		chaterListArray.unshift({"chaterName":chaterName,"headImg":headImg,"senderUserId":senderUserId,"content":content,"unread":unread,"duration":duration,"sentTime":sentTime});
	 LogonService.simpleinfo(userid,usertype).then(function(result){
		var senderUserId2=result.data.usertype+result.data.userid
		var index2=_.findIndex(chaterListArray,['senderUserId',senderUserId2]);
		if(result.data!=""&&index2>-1){
			if(result.data.usertype=="lawyer"){
				chaterListArray[index2].chaterName=result.data.lawyername+'律师'}
			else{
				chaterListArray[index2].chaterName='易夫'+result.data.userid.substr(0,4);
				 };
			if (result.data.image!=""){
			   chaterListArray[index2].headImg=result.data.image
			    }
			 };                                      
	//最后执行
	
    if(i<1){
	$rootScope.chaterListArray=chaterListArray;
	$localstorage.setObjectMsg('chaterListArray',$rootScope.chaterListArray);
	unreadTag();
	$rootScope.$apply();
	  }
	
	
		  }) 	  
	}
		
			}//判断是否为系统消息end
		
		 }//判断是否当前用户结束
		 
		 
		
		        }//for循环结束
		
	
	 		
		  })
		    
	  	
	
	  
	  
	
    }//
	
	
	 //清除指定对话
$rootScope.removeConversation=function(senderUserId){
	RongCloudLibPlugin.removeConversation({
        conversationType: 'PRIVATE',
        targetId: senderUserId
    }, function (ret, err) {
       
})
}
	 //清除指定对话
	
	
 //未读消息清除及存储
 $rootScope.clearMessagesUnreadStatus=function(){ 
		if($rootScope.targetid!=null){	
    RongCloudLibPlugin.clearMessagesUnreadStatus({
        conversationType: 'PRIVATE',
        targetId: $rootScope.targetid
       }, function (ret, err) {
     
    })
	//本地未读消息清除
		if($rootScope.chaterListArray.length>0){
		var targetIndex=_.findIndex($rootScope.chaterListArray,{"senderUserId":$rootScope.targetid})

		if (targetIndex!=-1){

	 $rootScope.chaterListArray[targetIndex].unread=""
		}
		}//本地未读消息清除over
	
	$localstorage.setObjectMsg('chaterListArray',$rootScope.chaterListArray);
    $localstorage.setObjectMsg('messagesArray',$rootScope.messagesArray);	
	}
	
	
	
	
	   }//融云未读消息清除over 

	
	
  //发送消息函数	 
$rootScope.RongcloudSendText=function(id,text,voice){
	//判断融云是否登陆
	var content="消息发送失败";
	var extra="T0" 
	if(voice.substr(0, 1)=='V'){
	duration=voice.replace("V","")
	content='语音'+duration+'s'
	extra=text
					 }
				 else{
					content=text
					extra=voice
					duration="0"
					 }
	
	RongCloudLibPlugin.sendTextMessage({
               conversationType: 'PRIVATE',
               targetId: id,
               text: content, extra: extra 
			   }, function (ret, err) {
        if (ret.status == 'prepare'){
	
				 var msg=ret.result.message
				 var content=msg.content.text
				 var extra=msg.content.extra
				 var senderUserId=msg.senderUserId
			
				 var voice,duration
			 	 if(extra.indexOf('.mp3')>0){
					 voice="1";
					 duration=content.replace("语音","")
					 duration=duration.replace("s","")
					 content=extra
					 }
				 else{
					 voice="";
					 duration="0"
					 }
			 $rootScope.messagesArray.push({"senderUserId":id,"headimg":$rootScope.currentUserImage,"person":person,"voice":voice,"content":content,"duration":duration,"duration2":duration});		
			  $rootScope.clearMessagesUnreadStatus();	   
			  $rootScope.$apply();	  
			//查询客户追问次数		
			};
    });
			}//发送文字消息over
 
//系统推送律师函数
$rootScope.systemLawyer=function(){
	  var tme=new Date().getTime()
	  var riqi=new Date(parseInt(tme)).toLocaleString().substr(5,15)
	  var tishi
  if($rootScope.chaterListArray.length==0){
	  if($rootScope.currentUserType=='lawyer'){ 
	  tishi="这里是易夫客服，欢迎使用易夫法律。"
	  $rootScope.chaterListArray=[{"chaterName":"易夫法律","headImg":"067171669611519.png","senderUserId":"person9521","content":tishi,"unread":"1","duration":"3","sentTime":riqi}]
   $rootScope.messagesArray=[{"senderUserId":"person9521","headimg":"067171669611519.png","person":"0","voice":"","content":tishi,"duration":"0","duration2":"0"}]
	  
	  $localstorage.setObjectMsg('chaterListArray',$rootScope.chaterListArray);	
	  $localstorage.setObjectMsg('messagesArray',$rootScope.messagesArray);	
	   $rootScope.unreadTag='3';
	  }else{
	 Lawyer.systemlawyer($rootScope.currentUserCity).then(function(result) {
	 $rootScope.chaterListArray=	result.data.list
     $rootScope.messagesArray=result.data.messages
     $localstorage.setObjectMsg('chaterListArray',$rootScope.chaterListArray);	
	  $localstorage.setObjectMsg('messagesArray',$rootScope.messagesArray);	
	  
        }); 
		  }
	
   }
  }//系统推送律师函数over



 /********************融云在线咨询end********************/


 

 //返回函数	
$rootScope.goback=function(){
$ionicHistory.goBack();
 $ionicViewSwitcher.nextDirection("back");
}	//返回函数over




})




.config(function($stateProvider, $urlRouterProvider,$ionicConfigProvider,$sceDelegateProvider) {
  $ionicConfigProvider.platform.ios.tabs.style('standard');
  $ionicConfigProvider.platform.ios.tabs.position('bottom');
  $ionicConfigProvider.platform.android.tabs.style('standard');
  $ionicConfigProvider.platform.android.tabs.position('bottom');

  $ionicConfigProvider.platform.ios.navBar.alignTitle('center');
  $ionicConfigProvider.platform.android.navBar.alignTitle('center');
  //
  //$ionicConfigProvider.platform.ios.backButton.previousTitleText('').icon('ion-ios-arrow-thin-left');
  //$ionicConfigProvider.platform.android.backButton.previousTitleText('').icon('ion-android-arrow-back');
  //
  $ionicConfigProvider.platform.ios.views.transition('ios');
  $ionicConfigProvider.platform.android.views.transition('android');
  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $sceDelegateProvider.resourceUrlWhitelist([
   'http://www.iflawyer.com/m2/**'
    ])
  
  $stateProvider
  // setup an abstract state for the tabs directive
   .state('start', {
    url: '/start',
    templateUrl: 'templates/start.html',
    controller: 'start'
  })

    .state('tab', {
    url: '/tab',
    abstract: true,
    templateUrl: 'templates/tabs.html',
	controller: 'tabsCtrl'
  })



  .state('reg', {
    url: '/reg',
    templateUrl: 'templates/reg01.html',
	controller: 'reg'
  })

  .state('logon', {
    url: '/logon',
    templateUrl: 'templates/log01.html',
		controller: 'Logon'
  })
  .state('reset_psw', {
    url: '/reset_psw',

        templateUrl: 'templates/reset_psw01.html',
		controller: 'Reset_psw'

  })
  
  
    .state('audioInterNet', {
    url: '/audioInterNet',
        templateUrl: 'templates/audioInterNet.html',
		controller: 'AudioInterNetCtrl'

  })
      .state('record', {
    url: '/record',
        templateUrl: 'templates/record.html',
		controller: 'RecordCtrl'

  })
    .state('upfile', {
    url: '/upfile',
        templateUrl: 'templates/upfile.html',
		controller: 'upfileCtrl'
  })
 
 
 
 // Each tab has its own nav history stack:
  //首页中的链接
    .state('tab.index', {
    url: '/index',
    views: {
      'tab-index': {
        templateUrl: 'templates/tab-index.html',
        controller:'indexCtrl'
      }
    }
  })
  
    //首页中的链接
    .state('tab.orderlist', {
    url: '/orderlist',
    views: {
      'tab-orderlist': {
        templateUrl: 'templates/order_list.html',
        controller:'order_listCtrl'
      }
    }
  })
  //法律咨询中的链接
  
    .state('special_subject', {
      url: '/special_subject/:subject',
      templateUrl: 'templates/special_subject.html',
	   controller:'special_subjectCtrl'
    })
	 
    .state('special_list', {
      url: '/special_list',
      templateUrl: 'templates/special_list.html',
	   controller:'special_listCtrl'
    })

    .state('daily', {
      url: '/daily',
      templateUrl: 'templates/daily.html',
    })
    .state('consult_phone', {
      url: '/consult_phone',
      templateUrl: 'templates/consult_phone.html',
	  controller:'consult_phoneCtrl'
    })
	 //客户提问>lawyer
  .state('consult', {
      url: '/consult',
      templateUrl: 'templates/consult.html',
      controller:'consultCtrl'
    })
	
	
  .state('consult_pay', {
      url: '/consult_pay/:questionId',
      templateUrl: 'templates/consult_pay.html',
      controller:'consultPayCtrl'
    })
	
	
 //提问律师列表
.state('tab.question_list', {
    url: '/question_list',
    views: {
      'tab-questionlist': {
        templateUrl: 'templates/question_list.html',
        controller:'question_listCtrl'
      }
    }
  })

	//听律师
	.state('listening_list', {
      url: '/listening_list',
      templateUrl: 'templates/listening_list.html',
	   controller:'listening_listCtrl'
    })
   //提问律师列表
.state('person_question_list', {
    url: '/person_question_list',
    templateUrl: 'templates/question_list.html',
    controller:'question_listCtrl'
  })
   //案件委托
  .state('case', {
      url: '/case',
      templateUrl: 'templates/case.html',
      controller:'caseCtrl'
    })
	//文书服务列表
	.state('doc_service', {
      url: '/doc_service/:from',
      templateUrl: 'templates/doc_service.html',
      controller:'doc_serviceCtrl'
    })
	//文书服务详情
	   .state('doc_service_info', {
      url: '/doc_service_info/:name',
      templateUrl: 'templates/doc_service_info.html',
	  controller:'doc_service_infoCtrl'
    })
	
  //问题详情页面
   .state('question_info', {
      url:  '/question_info/:questionId',
      templateUrl: 'templates/question_answers.html',
      controller:'question_infoCtrl'
    })
	//智能咨询
	   .state('intelligent', {
      url: '/intelligent/:name',
      templateUrl: 'templates/intelligent_service.html',
	  controller:'intelligentCtrl'
    })
  
  //在线咨询律师列表
  .state('tab.online_list', {
    url: '/online_list',
    views: {
      'tab-onlinelist': {
        templateUrl: 'templates/online_list.html',
        controller:'online_listCtrl'
      }
    }
  })
   //消息
  .state('tab.messages', {
    url: '/messages',
    views: {
      'tab-messages': {
        templateUrl: 'templates/online_list.html',
        controller:'online_listCtrl'
      }
    }
  })
  .state('tab.law_services', {
      url: '/law_services',
      views: {
        'tab-consult': {
          templateUrl: 'templates/law_services.html',
		   controller:'law_servicesCtrl'
        }
      }
    })


	 //在线咨询页面
    .state('online_consult', {
      url: '/online_consult/:targetid',
      templateUrl: 'templates/online_consult.html',
	  controller:'online_consultCtrl'
    })
  
  
    //法律咨询中的链接
    .state('pay', {
     url: '/pay/:jifen',
     templateUrl: 'templates/pay.html',
	  controller:'payCtrl'
     })

	
    .state('chat', {
      url: '/chat',
      templateUrl: 'templates/chat.html'
    })

    .state('lawyer_info', {
      url:  '/lawyer_info/:lawyerId',
      templateUrl: 'templates/lawyer_information.html',
      controller:'lawyer_infoCtrl'
    })



    //我的中的链接
    .state('feedback', {
    url: '/feedback',

    templateUrl: 'templates/feedback.html'
   })
   


    .state('lawyer_answer', {
      url: '/lawyer_answer',

      templateUrl: 'templates/lawyer_answers.html'
    })
    .state('reset_password', {
      url: '/reset_password',
      templateUrl: 'templates/reset_password.html'
    })

    .state('message_setting', {
      url: '/message_setting',
      templateUrl: 'templates/message_setting.html'
    })
	  //我的提问列表
      .state('my_question_list', {
      url: '/my_question_list',
      templateUrl: 'templates/my_question_list.html',
	   controller: 'my_question_listCtrl'
    })
	//我的listen列表
      .state('my_listen_list', {
      url: '/my_listen_list',
      templateUrl: 'templates/my_question_list.html',
	   controller: 'my_listen_listCtrl'
    })
	    //我的在线咨询
  .state('my_onlinelist', {
      url: '/my_onlinelist',
      templateUrl: 'templates/online_list.html',
	   controller: 'online_listCtrl'
    })

    .state('my_collection', {
      url: '/my_collection',
      templateUrl: 'templates/my_collection.html',
      controller: 'myCollection'
    })

    .state('my_report_list', {
      url: '/my_report_list',
      templateUrl: 'templates/my_report_list.html',
	   controller: 'my_report_listCtrl'
    })
    .state('my_report', {
      url: '/my_report',
      templateUrl: 'templates/my_report.html'
    })
     
    .state('phone_consult_list', {
      url: '/phone_consult_list',
      templateUrl: 'templates/phone_consult_list.html'
    })
    //当地律师>person
    .state('tab.lawyer', {
      url: '/lawyer',
      views: {
        'tab-lawyer': {
          templateUrl: 'templates/local_lawyer.html',
          controller: 'lawyer'
        }
      }
    })
	   //当地律师>all
    .state('lawyerlist', {
      url: '/lawyerlist',
      templateUrl: 'templates/lawyerlist.html',
      controller: 'lawyer'
    })
	
    .state('tab.account', {
      url: '/account',
      views: {
        'tab-account': {
          templateUrl: 'templates/user_interface.html',
          controller: 'accountCtrl'
        }
      }
    })
	
	 .state('tab.lawyer_tools', {
      url: '/lawyer_tools',
      views: {
        'tab-lawyer-tools': {
          templateUrl: 'templates/lawyer_tools.html',
		   controller: 'lawyer_toolsCtrl'
        }
      }
    })
	
	
	//设置
	 .state('setting', {
      url: '/setting',
      templateUrl: 'templates/setting.html',
	  controller:'settingCtrl'
    })
	//设置》账号设置
	 .state('setAccount', {
      url: '/setAccount',
      templateUrl: 'templates/account.html',
	  controller: 'setAccountCtrl'
    })
	//设置》修改手机
	  .state('reset_tel', {
    url: '/reset_tel',
        templateUrl: 'templates/reset_tel01.html',
		controller: 'Reset_tel'
    })
	
	 .state('edit_person_account', {
      url: '/edit_person_account',
      templateUrl: 'templates/edit_person_account.html',
      controller:'editPersonAccountCtrl'
    })
   .state('edit_lawyer_account', {
      url: '/edit_lawyer_account',
      templateUrl: 'templates/edit_lawyer_account.html',
	  controller:'editLawyerAccountCtrl'
	 
    })
	.state('edit_lawyer_zhuanchang', {
      url: '/edit_lawyer_zhuanchang',
      templateUrl: 'templates/edit_lawyer_zhuanchang.html',
	  controller:'editLawyerZhuanchangCtrl'
	 
    })
	 
	  .state('certification', {
      url: '/certification',
      templateUrl: 'templates/edit_lawyer_account.html',
	  controller:'certificationCtrl'
    })
	
	 .state('law_service_contract', {
      url: '/law_service_contract',
      templateUrl: 'templates/law_service_contract.html',
    })
	//我的》交易记录
	.state('trade_record', {
      url: '/trade_record',
      params:{"jifen":null},
      templateUrl: 'templates/trade_record.html',
      controller:'tradeRecordCtrl'
    })
	
   .state('choose_lawyer', {
      url: '/choose_lawyer',
      templateUrl: 'templates/choose_lawyer.html',
	   controller:'choose_lawyerCtrl'
    })
	 .state('choose_city', {
      url: '/choose_city/:from',
      templateUrl: 'templates/choose_city.html',
	   controller:'choose_cityCtrl'
    })
	.state('choose_listening', {
      url: '/choose_listening',
      templateUrl: 'templates/choose_listening.html',
      controller:'choose_lawyerCtrl'
    })
	.state('choose_question', {
      url: '/choose_question',
      templateUrl: 'templates/choose_question.html',
      controller:'choose_lawyerCtrl'
    })
	
	
	
	
	
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/start');

});
